Unflushable< T > Class Template Reference

Base class for unflushable filters. More...

Inheritance diagram for Unflushable< T >:

## Public Member Functions

bool | Flush (bool completeFlush, int propagation=-1, bool blocking=true)
bool | IsolatedFlush (bool hardFlush, bool blocking)
bool | ChannelFlush (const std::string &channel, bool hardFlush, int propagation=-1, bool blocking=true)

## Detailed Description

### template<class T>
class Unflushable< T >

Base class for unflushable filters.

Template Parameters

  T | the class or type

Definition at line 94 of file simple.h.

The documentation for this class was generated from the following file:

- simple.h